---
version: '3.4'

services:

  app:
    build:
      context: .
      dockerfile: Dockerfile
    volumes: []
    networks:
      - prod_ui
      - prod_tasks


  mock:
    image: library/nginx:alpine
    volumes:
      - ./test.conf:/etc/nginx/nginx.conf
    networks:
      prod_ui:
        aliases:
          - dkui_app
          - abc-api_nginx
          - gitea_app
          - jenkins_app
          - xaibox_app
      prod_app:
        aliases:
          - xaibox_app
          - abc-api_nginx
      prod_tasks:
        aliases:
          - sslproxy_renew
      prod_ingress:
        aliases:
          - xaibox.xai-corp.net
          - xai-corp.net


networks:
  prod_ui:
  prod_tasks:
  prod_app:
  prod_ingress:

